package ru.yandex.direct.web.entity.keyword.presentation;

import ru.yandex.direct.core.entity.adgroup.model.AdGroup;
import ru.yandex.direct.validation.result.MappingPathNodeConverter;
import ru.yandex.direct.web.entity.keyword.model.AddAdGroupMinusKeywordsRequestItem;

public class AddAdGroupMinusKeywordsRequestPathConverters {

    private AddAdGroupMinusKeywordsRequestPathConverters() {
    }

    public static final MappingPathNodeConverter ADD_ADGROUP_MINUSKEYWORD_PATH_CONVERTER =
            MappingPathNodeConverter.builder(AddAdGroupMinusKeywordsRequestPathConverters.class.getName())
                    .replace(AdGroup.ID.name(), AddAdGroupMinusKeywordsRequestItem.Prop.ID)
                    .replace(AdGroup.MINUS_KEYWORDS.name(), AddAdGroupMinusKeywordsRequestItem.Prop.MINUS_KEYWORDS)
                    .build();
}
